Commit 730947ea authored by peng.xu's avatar peng.xu
Browse files

Merge branch 'branch-0.5.0' into '0.5.0'

change default db path to /tmp/milvus

See merge request megasearch/milvus!752

Former-commit-id: c0ca05f86460f7fce2211353ebc689d8bb34d373
parents 7f0f867a ceea00a4
Loading
Loading
Loading
Loading
+1 −1
Original line number Diff line number Diff line
@@ -15,7 +15,7 @@ container('milvus-build-env') {
                            && export JFROG_USER_NAME='${USERNAME}' \
                            && export JFROG_PASSWORD='${PASSWORD}' \
                            && export FAISS_URL='http://192.168.1.105:6060/jinhai/faiss/-/archive/branch-0.2.1/faiss-branch-0.2.1.tar.gz' \
                            && ./build.sh -t ${params.BUILD_TYPE} -j -u -c"
                            && ./build.sh -t ${params.BUILD_TYPE} -d /opt/milvus -j -u -c"

                            sh "./coverage.sh -u root -p 123456 -t 192.168.1.194"
                        }
+1 −1
Original line number Diff line number Diff line
@@ -15,7 +15,7 @@ container('milvus-build-env') {
                            && export JFROG_USER_NAME='${USERNAME}' \
                            && export JFROG_PASSWORD='${PASSWORD}' \
                            && export FAISS_URL='http://192.168.1.105:6060/jinhai/faiss/-/archive/branch-0.2.1/faiss-branch-0.2.1.tar.gz' \
                            && ./build.sh -t ${params.BUILD_TYPE} -j"
                            && ./build.sh -t ${params.BUILD_TYPE} -j -d /opt/milvus"
                        }
                    }
                } catch (exc) {
+13 −7
Original line number Diff line number Diff line
#!/bin/bash

BUILD_OUTPUT_DIR="cmake_build"
BUILD_TYPE="Debug"
BUILD_UNITTEST="OFF"
INSTALL_PREFIX=$(pwd)/milvus
MAKE_CLEAN="OFF"
BUILD_COVERAGE="OFF"
DB_PATH="/opt/milvus"
DB_PATH="/tmp/milvus"
PROFILING="OFF"
USE_JFROG_CACHE="OFF"
RUN_CPPLINT="OFF"
@@ -40,8 +41,8 @@ do
                RUN_CPPLINT="ON"
                ;;
             r)
                if [[ -d cmake_build ]]; then
                    rm ./cmake_build -r
                if [[ -d ${BUILD_OUTPUT_DIR} ]]; then
                    rm ./${BUILD_OUTPUT_DIR} -r
                    MAKE_CLEAN="ON"
                fi
                ;;
@@ -62,7 +63,7 @@ do

parameter:
-p: install prefix(default: $(pwd)/milvus)
-d: db path(default: /opt/milvus)
-d: db data path(default: /tmp/milvus)
-t: build type(default: Debug)
-u: building unit test options(default: OFF)
-l: run cpplint, clang-format and clang-tidy(default: OFF)
@@ -84,11 +85,11 @@ usage:
        esac
done

if [[ ! -d cmake_build ]]; then
    mkdir cmake_build
if [[ ! -d ${BUILD_OUTPUT_DIR} ]]; then
    mkdir ${BUILD_OUTPUT_DIR}
fi

cd cmake_build
cd ${BUILD_OUTPUT_DIR}

CMAKE_CMD="cmake \
-DBUILD_UNIT_TEST=${BUILD_UNITTEST} \
@@ -114,6 +115,7 @@ if [[ ${RUN_CPPLINT} == "ON" ]]; then
    make lint
    if [ $? -ne 0 ]; then
        echo "ERROR! cpplint check failed"
        rm -f CMakeCache.txt
        exit 1
    fi
    echo "cpplint check passed!"
@@ -122,6 +124,7 @@ if [[ ${RUN_CPPLINT} == "ON" ]]; then
    make check-clang-format
    if [ $? -ne 0 ]; then
        echo "ERROR! clang-format check failed"
        rm -f CMakeCache.txt
        exit 1
    fi
    echo "clang-format check passed!"
@@ -130,9 +133,12 @@ if [[ ${RUN_CPPLINT} == "ON" ]]; then
#    make check-clang-tidy
#    if [ $? -ne 0 ]; then
#        echo "ERROR! clang-tidy check failed"
#        rm -f CMakeCache.txt
#        exit 1
#    fi
#    echo "clang-tidy check passed!"

    rm -f CMakeCache.txt
else
    # compile and build
    make -j 4 || exit 1